var os = require('os');
var nde = require('@ali/dt-nde/libs/' + os.platform() + '/' + os.arch() + '/nde.node');
const wrapper = Object.assign({}, nde)

const NJSTaskStatus =
{
    WAIT: 1,
    RUNNING: 2,
    PAUSE: 4,
    CANCEL: 8,
    FAILED: 16,
    SUCCESS: 32,
};

wrapper.NJSTaskStatus = NJSTaskStatus;
module.exports = exports = wrapper;